Bug 1011335 - [fork]Met incorrect error message when create invalid domain via website
[fork]Met incorrect error message when create invalid domain via website
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 02:28 EDT by Tian Feng
Modified: 2015-05-14 21:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:30:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tian Feng 2013-09-24 02:28:53 EDT
Description of problem:
On app/console/setting page, create invalid domain like null, " ", "@@@", "QQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQQ", or existing domain. It would return "We appear to be having technical difficulties".
On app/domains page, click the button for creating domains, it returns "We appear to be having technical difficulties".
But using an account with valid domain and try to change it with invalid domain, it would return correct error message.

Version-Release number of selected component (if applicable):
fork_ami_origin_ui_72_membership_845

How reproducible:
Always

Steps to Reproduce:
1. go to web console and sign in
2. go to /app/console/settings and try to create invalid domain name
3. go to /app/domains and try to create invalid domain name

Actual results:
It would return "We appear to be having technical difficulties" error message.

Expected results:
It would return correct error message.

Additional info:
Comment 1 Jordan Liggitt 2013-09-24 16:01:41 EDT
Fixed in https://github.com/openshift/li/pull/1903
Comment 2 Yujie Zhang 2013-09-26 01:30:06 EDT
Tested on fork_ami_origin_ui_72_membership_863, the error message is correct when creating invalid domain , so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.